GTPin: gtpin::GtKernelArgument Struct Reference

GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
gtpin::GtKernelArgument Struct Reference
GTPin: Kernel

Descriptor of the kernel's payload argument. More...

`#include <igt_kernel.h>`

## Public Member Functions
| GtKernelArgument ()
| Default constructor.
| GtKernelArgument (const char *argType, uint32_t argSize, uint32_t argOffset, uint32_t argIndex, GtAddrSpace argAddrSpace={}, GtMemoryAddrModel argAddrModel={}, GtAccessType argAccessType={})
| Constructor.
bool | IsValid () const
bool | IsExplicit () const
bool | IsPointer () const
bool | IsMemoryPointer () const
## Data Fields
const char * | type = nullptr
| Name of the argument type, e.g. 'arg_byvalue', 'arg_bypointer', 'local_id', etc.
uint32_t | size = 0
| Size of the argument value, in bytes.
uint32_t | offset = 0
| Offset of the argument value in the kernel payload.
Uint32Validatable | index
| Index of the argument in the kernel payload. Valid for explicit arguments.
GtAddrSpace | addrSpace
| Address space referenced by the argument. Valid for IsPointer() arguments.
GtMemoryAddrModel | addrModel
| Address model of the memory space access. Valid for IsMemoryPointer() arguments.
GtAccessType | accessType
| Type of the access to the space referenced by the IsPointer() argument.

## Detailed Description

Descriptor of the kernel's payload argument.

## Member Function Documentation

bool gtpin::GtKernelArgument::IsExplicit | ( |  | ) | const`[inline]`

Returns:
  true if this is an explicit argument (has a valid index)

bool gtpin::GtKernelArgument::IsMemoryPointer | ( |  | ) | const`[inline]`

Returns:
  true if this argument references a memory region

bool gtpin::GtKernelArgument::IsPointer | ( |  | ) | const`[inline]`

Returns:
  true if this argument references an object within an address space

bool gtpin::GtKernelArgument::IsValid | ( |  | ) | const`[inline]`

Returns:
  true for a valid argument descriptor

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT